using System.Collections.Generic;
using Toolbox.Docking.Api;
using Toolbox.Docking.Api.Objects;
using ToolboxAddinExamples.Calculator;
using ToolboxAddinExamples.Metabolilsm;
using ToolboxAddinExamples.Profiler;
using ToolboxAddinExamples.Qsar;

namespace ToolboxAddinExamples
{
    public class ExampleAddin : IToolboxAddin
    {
        public IEnumerable<ITbObjectFactory> GetToolboxObjectFactories()
        {
            var factories = new List<ITbObjectFactory>
            {
                new ProfilerAddinFactory(),
                new TbCalculatorAddinFactory(),
                new MetabolismAddinFactory(),
                new TbQsarAddinFactory()
            };
            return factories;
        }
    }
}
